Management Groups - Get Descendants
List all entities that descend from a management group.
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/{groupId}/descendants?api-version=2020-05-01
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/{groupId}/descendants?api-version=2020-05-01&$skiptoken={$skiptoken}&$top={$top}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
group
|
path | True |
string |
Management Group ID. |
|
api-version
|
query | True |
string |
Version of the API to be used with the client request. The current version is 2018-01-01-preview. |
|
$skiptoken
|
query |
string |
Page continuation token is only used if a previous operation returned a partial result. If a previous response contains a nextLink element, the value of the nextLink element will include a token parameter that specifies a starting point to use for subsequent calls. |
|
|
$top
|
query |
integer |
Number of elements to return when retrieving results. Passing this in will override $skipToken. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetDescendants
Sample request
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/20000000-0000-0000-0000-000000000000/descendants?api-version=2020-05-01
Sample response
{
"value": [
{
"id": "/providers/Microsoft.Management/managementGroups/20000000-0001-0000-0000-000000000000",
"type": "Microsoft.Management/managementGroups",
"name": "20000000-0001-0000-0000-000000000000",
"properties": {
"displayName": "Group 1",
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/20000000-0000-0000-0000-000000000000"
}
}
},
{
"id": "/subscriptions/20000000-0004-0000-0000-000000000000",
"type": "Microsoft.Management/managementGroups/subscriptions",
"name": "20000000-0004-0000-0000-000000000000",
"properties": {
"displayName": "Subscription 4",
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/20000000-0000-0000-0000-000000000000"
}
}
}
],
"nextLink": null
}
Definitions
| Name | Description |
|---|---|
|
Descendant |
The descendant. |
|
Descendant |
Describes the result of the request to view descendants. |
|
Descendant |
The ID of the parent management group. |
|
Error |
The details of the error. |
|
Error |
The error object. |
DescendantInfo
The descendant.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the descendant. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 or /subscriptions/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the descendant. For example, 00000000-0000-0000-0000-000000000000 |
| properties.displayName |
string |
The friendly name of the management group. |
| properties.parent |
Parent |
|
| type |
string |
The type of the resource. For example, Microsoft.Management/managementGroups or /subscriptions |
DescendantListResult
Describes the result of the request to view descendants.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to use for getting the next set of results. |
| value |
The list of descendants. |
DescendantParentGroupInfo
The ID of the parent management group.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
ErrorDetails
The details of the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
string |
A human-readable representation of the error's details. |
| message |
string |
A human-readable representation of the error. |
ErrorResponse
The error object.
| Name | Type | Description |
|---|---|---|
| error |
Error |